<?php
//автор - figura
//сайт - http://f-pt.ru
include("../sistem/cfg.dat");
include("../sistem/global.dat");
include("../temes/$teme/verh.dat");
//echo'<div class="razd"><B>ПАНЕЛЬ АДМИНИСТРАТОРА</B></div>';
if($status=="admin")
{
//////////////////////////////////////////////////главная//////////////////////////////////////////////////
      if(empty($act)){$act="index";}
      if($act=="add")
      {
         echo'<div class="razd">Пересчёт файлов в загруз центре</div>';
         function files($fldr)//благодарю http://wap.waup.ru
         {
           $dh = opendir($fldr);
           while(($f= readdir($dh)) !== false)
           {
             if ($f != '.'
             && $f != '..'
             && $f != 'index.php'
             && $f != "name.dat"
             && $f != "Thumbs.db"
             && $f != "count.dat"
             && $f != "cach.dat"
             && $f != "opisanie"
             && $f != "grafic"
             && $f != "count"
             && $f != "skr")
             {
                $path = $fldr.'/'.$f;
                if(is_dir($path)) { $count += files($path, $count); }elseif(is_file($path)) { $count++; }
             }
           }
           closedir($dh);
           return $count;
         }
         $vsego_file = files("../dounload");
         
         $file_dounload_count = fopen("../data/dounload/count.dat", "w+");
         flock ($file_dounload_count,LOCK_EX);
         fputs($file_dounload_count,$vsego_file);
         flock ($file_dounload_count,LOCK_UN);
         fclose($file_dounload_count);
         @chmod("../data/dounload/count.dat", 0666);
         
         echo'Файлы в загруз центре успешно подсчитаны и записаны для вывода. Всего файлов <B>'.$vsego_file.'</B><br>';
         
         echo'<hr size="2" width="100%">';
         echo'<a href="index.php?">В меню</a><br>';
      }
////////////////////////////////////////////////////////////////////////////////////////
      if($act=="index")
      {
         echo'<div class="razd">Пересчёт файлов в загруз центре</div>';
         echo'Эта функция подщитывает общее количество файлов в загруз центре и записывает результат для правильного вывода счётчика на гравную страницу.<br>'; 
         echo'Внимание! Используйте эту функцию только при крайней необходимасти (при обновах), т.к. при большом количестве файлов, сервер будет перегружаться и вы можете болучить жалобу от ваших хостеров. <a href="dounload.php?act=add&amp;'.SID.'">Сделать пересчёт!</a><br>';
         echo'<a href="index.php?">В меню</a><br>';
      }
      
      
      
   }else{
//session_destroy();
echo'<div class="razd">Ошибка</div>';
echo'Нужны права администратора';
echo'<hr size="2" width="100%">';
echo'<a href="index.php?'.SID.'">Назад</a><br>';
}




echo'<a href="../index.php?&amp;'.SID.'">Главная</a><br>';
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>